package com.cusc.nirvana.user.rnr.openapi.convert;

import com.cusc.nirvana.user.rnr.mg.dto.MgRnrInfoDTO;
import com.cusc.nirvana.user.rnr.openapi.dto.PersonalRnrH5ReqDTO;
import com.cusc.nirvana.user.rnr.openapi.dto.PersonalRnrRequestDTO;
import com.cusc.nirvana.user.rnr.openapi.dto.SecondHandUnbindRequestDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * @author yubo
 * @since 2022-04-20 09:25
 */
@Mapper
public interface PersonalRnrRequestConvert {
    PersonalRnrRequestConvert INSTANCE = Mappers.getMapper(PersonalRnrRequestConvert.class);

    MgRnrInfoDTO requestDTOToMgRnrDTO(PersonalRnrRequestDTO bean);


    PersonalRnrRequestDTO secondHandUnbindDTOToPersonalRnrDTO(SecondHandUnbindRequestDTO bean);

    PersonalRnrRequestDTO h5PersonRnrRequestToPersonRequstDTO(PersonalRnrH5ReqDTO dto);

}
