package com.cusc.nirvana.user.rnr.openapi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(
        value = "组织机构",
        description = "组织机构"
)
@Data
public class OrganizationRespDTO {
    private static final long serialVersionUID = -99323777495496194L;
    @ApiModelProperty("业务主键")
    private String uuid;
    @ApiModelProperty("组织编码")
    private String organCode;
    @ApiModelProperty("组织名称")
    private String organName;
    @ApiModelProperty("组织类型:1 集团 2 公司 3部门 4 组")
    private Integer organType;
    @ApiModelProperty("上级组织")
    private String parentId;
    @ApiModelProperty("组织描述")
    private String comment;
    @ApiModelProperty("外部id")
    private String thirdPartyId;
    @ApiModelProperty("状态： 0 禁用 1启用")
    private Integer status;
    @ApiModelProperty("租户编号")
    private String tenantNo;
    @ApiModelProperty("业务类型，由业务系统定义。如车企:1、经销商:2 等")
    private Integer bizType;
    @ApiModelProperty("组织简称")
    private String organSimpleName;
}
