package com.cusc.nirvana.user.rnr.openapi.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * Description: 实名解绑请求
 * <br />
 * CreateDate 2022-04-20 20:22:56
 *
 * @author yuyi
 **/
@Data
public class RnrUnboundReqDTO implements Serializable {

    private static final long serialVersionUID = -5712879585098743410L;

    @ApiModelProperty(value = "iccid")
    @NotBlank(
            message = "iccid不能为空"
    )
    private String iccid;
}
