package com.cusc.nirvana.user.rnr.openapi.dto.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Map;

/**
 * 实名卡信息(RnAuthStateRsp) 状态接口返回对象
 *
 * @author tangjw
 * @since 2022-05-10 09:06:36
 */
@ApiModel(value = "实名状态返回对象", description = "实名状态返回对象")
@Data
public class RnAuthStateRsp extends OpenApiBaseRsp {

    private static final long serialVersionUID = -77640748451387414L;

    @ApiModelProperty(value = "实名状态集合key:vin-iccid;value:实名状态", example = "vin-iccid:已实名")
    private Map<String, String> rnAuthStateMap;

}

