package com.cusc.nirvana.user.rnr.openapi.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @author yubo
 * @since 2022-06-09 16:00
 */
@Configuration
@Data
public class OpenapiConfig {

    @Value("${rnr.tenantNo}")
    private String tenantNo;

    @Value("${rnr.appId}")
    private String appId;

    @Value("${rnr.appSecret}")
    private String appSecret;

    @Value("${rnr.dataSecret}")
    private String dataSecret;

    @Value("${rnr.timeStamp.timeOut:1800000}")
    private int timeOut;
}
