package com.cusc.nirvana.user.rnr.openapi.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.mg.dto.RnrOrderDTO;
import com.cusc.nirvana.user.rnr.openapi.dto.SecondHandUnbindRequestDTO;
import com.cusc.nirvana.user.rnr.openapi.dto.VehicleCardRnrDTO;

/**
 * 解绑接口
 * @author yubo
 * @since 2022-04-25 09:31
 */
public interface ICardUnBindService {

    Response sendMessage(VehicleCardRnrDTO bean);

    Response checkOrderStatus(RnrOrderDTO bean);

    Response originalOwner(VehicleCardRnrDTO bean);

    /**
     * 二手车现车主解绑-自然人
     */
    Response secondHandPersonalUnbind(SecondHandUnbindRequestDTO bean);
}
