package com.cusc.nirvana.user.rnr.openapi.service;

import com.cusc.nirvana.user.rnr.openapi.dto.OrganizationRespDTO;
import com.cusc.nirvana.user.rnr.openapi.dto.PagerDTO;

import java.util.List;

/**
 * 实名开放平台组织结构接口
 *
 * @author caow
 * @date 2022-05-09
 */
public interface IOrganizationService {

    /**
     * 获取实名开放平台租户的组织结构
     * @param openTenantId 云平台开放平台租户ID
     * @param pagerDTO 分页参数
     * @return
     */
    List<OrganizationRespDTO> getOrgListByPage(String openTenantId, PagerDTO pagerDTO);
}
