package com.cusc.nirvana.user.rnr.openapi.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dto.LivenessCodeResponseDTO;
import com.cusc.nirvana.user.rnr.fp.dto.RnrResponseDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrRelationDTO;
import com.cusc.nirvana.user.rnr.openapi.dto.*;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 个人实名认证服务接口
 *
 * @author huchenhui
 * @date 2022-04-14
 */
public interface IPersonalRnrService {

    /**
     * 检查参数并转换
     *
     * @param requestDTO
     * @return
     */
    Response<RnrRelationDTO> checkAndConvertToRelation(PersonalRnrRequestDTO requestDTO, boolean unbind);

}
